Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::SceneManager::materialLess Struct Reference

Comparator for material map, for sorting materials into render order (e.g. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Methods

_OgreExport bool | operator() (const Material *x, const Material *y) const

## Detailed Description

Comparator for material map, for sorting materials into render order (e.g.

transparent last).

Definition at line 87 of file OgreSceneManager.h.

## Member Function Documentation

bool Ogre::SceneManager::materialLess::operator() | ( | const Material * | x,
|  | const Material * | y
| ) | const

| Definition at line 910 of file OgreSceneManager.cpp. References Ogre::Material::isTransparent().

The documentation for this struct was generated from the following files:

- OgreSceneManager.h
- OgreSceneManager.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:34 2004